#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <QDialog>
#include <QSpinBox>
#include <QCheckBox>
#include <QComboBox>
#include <QListWidget>

class SettingsDialog : public QDialog
{
    Q_OBJECT
public:
    explicit SettingsDialog(QWidget *parent = nullptr);
    static void loadSettings();
    static bool loadThumbsizes();
public slots:
    void installThumbnailer();
signals:
    void preloadChanged(int witdth);
private:
    void saveSettings();

    QSpinBox *m_preloadImages;
    QSpinBox *m_thumSize;
    QDoubleSpinBox *m_slideShowTime;
    QDoubleSpinBox *m_saturation;
    QCheckBox *m_useNativeDialog;
    QCheckBox *m_qualityThumbnail;
    QComboBox *m_filtering;
    QCheckBox *m_bestFit;
    QListWidget *m_headerHighlight;
    QColor m_color = Qt::yellow;
    QLineEdit *m_keyword;
    QComboBox *m_lang;
    QCheckBox *m_checkUpdate;
};

#endif // SETTINGSDIALOG_H
